"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

class ConcurrentError extends Error {
  constructor(aggregateId) {
    super(`Cannot save the event because the aggregate '${aggregateId}' is currently out of date. Please retry later.`);
    this.name = 'ConcurrentError';
    Object.setPrototypeOf(this, new.target.prototype);
  }

  static is(err) {
    return err instanceof Error && err.name === 'ConcurrentError';
  }

}

exports.default = ConcurrentError;
//# sourceMappingURL=concurrent-error.js.map